<?PHP
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");
function quitarEspecialesXML($sCad)
      {
         $sCad=str_replace("&","&amp;",$sCad);
         $sCad=str_replace("<","&lt;",$sCad);
         $sCad=str_replace(">","&gt;",$sCad);
         $sCad=str_replace('"',"&#34;",$sCad);
         $sCad=str_replace("'","&#39;",$sCad);
         return $sCad;
      }

function subirArchivo($nombreArchivo,$ip_empresa,$emp,$sitio_empresa)
    {
	$handle = curl_init();
	curl_setopt($handle, CURLOPT_POST, true);
	//curl_setopt($handle, CURLOPT_POSTFIELDS, array('file' => '@'.$nombreArchivo));
	

curl_setopt($handle, CURLOPT_URL, 'http://'.$ip_empresa.'/'.$sitio_empresa.'/LibFE/firmarDTE/PreparaRecepMercaderia.php?documento='.$nombreArchivo);

	curl_exec($handle);
	curl_close($handle);
    }



/********************************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE  id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
			$empresa_rut = str_replace('.', '', $empresa_rut);
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");	
				$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_rut_representante = str_replace('.', '', $empresa_rut_representante);
		
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
		}
//*********************************************************************************************************
    

 
 $num_resp=$cor[0];
  $fecha=$fecha_emision[0]; 
  $archivo=substr ($archivo,13); 
 
   $fecha_timbre=date('Y-m-d').'T'.date('H:i:s');

 
//****  genera XML   ******

$xml=new DomDocument("1.0", "UTF-8");
 $raiz=$xml->createElement("SetRecibos");
 $raiz=$xml->appendChild($raiz); 
 $raiz->setAttribute("ID", "SetRecibos-".$num_resp);

  /*--Caratula -------------------------*/
    $Caratula=$xml->createElement("Caratula");
    $Caratula=$raiz->appendChild($Caratula); 
    $Caratula->setAttribute("version", "1.0");
	 
    $RutResponde=$xml->createElement("RutResponde", $empresa_rut);
    $RutResponde=$Caratula->appendChild($RutResponde); 

	$RutRecibe=$xml->createElement("RutRecibe", $emisor);
    $RutRecibe=$Caratula->appendChild($RutRecibe); 
		
    $TmstFirmaEnv=$xml->createElement("TmstFirmaEnv", $fecha_timbre);
    $TmstFirmaEnv=$Caratula->appendChild($TmstFirmaEnv);
	
	       
	//***************detalles *********		
		for ($i=0; $i<$cant; $i++)
	     {
		 
		 if  ($sel[$i]==0)
		 {
	  $Recibo=$xml->createElement("Recibo");
      $Recibo=$raiz->appendChild($Recibo); 
	  $Recibo->setAttribute("version", "1.0");
	  

	   $DocumentoRecibo=$xml->createElement("DocumentoRecibo");
       $DocumentoRecibo=$Recibo->appendChild($DocumentoRecibo);
	   $DocumentoRecibo->setAttribute("ID", "ReciboDocto-T".$tipo."F".$nro[$i]);
	   
		 $TipoDoc=$xml->createElement("TipoDoc", $TipoDTE_O[$i]);
    	 $TipoDoc=$DocumentoRecibo->appendChild($TipoDoc);
		
		  $Folio=$xml->createElement("Folio", $nro[$i]);
    	 $Folio=$DocumentoRecibo->appendChild($Folio);
		
		  $FchEmis=$xml->createElement("FchEmis",$fecha_emision[$i]);
    	 $FchEmis=$DocumentoRecibo->appendChild($FchEmis);
		
		  $RUTEmisor=$xml->createElement("RUTEmisor",$rut_emisor[$i]);
    	 $RUTEmisor=$DocumentoRecibo->appendChild($RUTEmisor);
		 
		  $RUTRecep=$xml->createElement("RUTRecep",$rut_receptor[$i]);
    	 $RUTRecep=$DocumentoRecibo->appendChild($RUTRecep);		
		 
		 $MntTotal=$xml->createElement("MntTotal", $total[$i]);
    	 $MntTotal=$DocumentoRecibo->appendChild($MntTotal);
		
		 $Recinto=$xml->createElement("Recinto", $empresa_direccion);
    	 $Recinto=$DocumentoRecibo->appendChild($Recinto);
		 
		 $RutFirma=$xml->createElement("RutFirma", $empresa_rut_representante);
    	 $RutFirma=$DocumentoRecibo->appendChild($RutFirma);
		
		 $Declaracion=$xml->createElement("Declaracion","El acuse de recibo que se declara en este acto, de acuerdo a lo dispuesto en la letra b) del Art. 4, y la letra c) del Art. 5 de la Ley 19.983, acredita que la entrega de mercaderias o servicio(s) prestado(s) ha(n) sido recibido(s).");
    	 $Declaracion=$DocumentoRecibo->appendChild($Declaracion);
		 
		 $TmstFirmaRecibo=$xml->createElement("TmstFirmaRecibo", $fecha_timbre);
         $TmstFirmaRecibo=$DocumentoRecibo->appendChild($TmstFirmaRecibo);
	
		 }
		}
	//***************detalles *********		 

//*guardar xml--------------------------------*/ 
 $archivo = str_replace(".xml","_".$id_empresa.".xml",$archivo);
$archivo_x= "R_M_".$archivo;
$archivo="../LibFE/DOC/ORIGINAL/".$archivo_x;
 $xml->formatOut=true;
 $strings_xml=$xml->saveXML(); 


if($xml->save($archivo)) 
  {
   subirArchivo($archivo_x, $ip_empresa, $id_empresa, $sitio_empresa);	// cargar archivo
  echo("Termino de crear el ".$archivo.""); 
  }
 else
 {   echo("No se puede guardar el ".$archivo); }

 
 ?>
 <title>Recepcion Archivo XML</title>
 
 <script language="javascript">
   
	//window.opener.document.form1.Rarchivo.disabled = false;
	//window.opener.document.form1.comercial.disabled = true;
	//alert ("********************  OK ****************");
	window.top.open('','_parent','');window.top.close();	


</script>
